Use of Geolocation API is now limited to secure sites

Published: | Categories: Miscellaneous, Privacy & Security

Description

As part of the ongoing insecure HTTP deprecation, the Geolocation API, including the getCurrentPosition and watchPosition methods, can now be used only on sites using a secure connection. Given that Chrome 50 has already introduced this limitation in April 2016, the compatibility risk is considered low at this moment. The solution is, obviously, moving your site to HTTPS.

References